Bug 473224 - Can not disable some keyboard shortcuts
Can not disable some keyboard shortcuts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 02:51 EST by Michael Chapman
Modified: 2009-12-27 15:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.28.0-13.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 15:27:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 559816 None None None Never

  None (edit)
Description Michael Chapman 2008-11-27 02:51:24 EST
Description of problem:

I am not sure if this is a Metacity bug or a Keyboard Shortcuts applet bug. It appears that they have different ideas as to what constitutes a "disabled" keyboard shortcut.

If a shortcut is disabled in the Keyboard Shortcuts applet bug, the corresponding GConf key is set to an empty string. Metacity, however, does not recognise this, and continues to use the previous shortcut for the action. If Metacity is restarted and any of its shortcuts are disabled in this way, Metacity generates an error message similar to:

  Window manager warning: "" found in configuration database is not a
  valid value for keybinding "activate_window_menu"

I think Metacity is expecting the GConf key to be set to "disabled" when the action should have no keyboard shortcut.

Version-Release number of selected component (if applicable):

control-center-2.24.0.1-9.fc10.i386
metacity-2.24.0-2.fc10.i386

How reproducible: Always

Steps to Reproduce:
1. In the Keyboard Shortcuts applet, select (for example) the "Activate window menu" and assign Alt+Space to it.
2. Select the same entry again, and hit backspace to disable it.
3. Press Alt+Space. The window menu is displayed.

Expected results: The window menu should not have been displayed, since the shortcut had been disabled.

Additional info:

gnome-settings-daemon keybindings, such as "Launch help browser", "Volume mute", etc, do not exhibit this bug. I am guessing gnome-settings-daemon accepts "" to mean a disabled shortcut.
Comment 1 Michael Chapman 2008-11-29 02:09:49 EST
I think this might be the same problem described in http://bugzilla.gnome.org/show_bug.cgi?id=559816 .
Comment 2 Bug Zapper 2009-11-18 03:59:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-12-10 18:53:01 EST
metacity-2.28.0-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/metacity-2.28.0-12.fc12
Comment 4 Fedora Update System 2009-12-11 13:22:12 EST
metacity-2.28.0-12.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update metacity'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13084
Comment 5 Bug Zapper 2009-12-18 01:58:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora Update System 2009-12-21 23:38:03 EST
metacity-2.28.0-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update metacity'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13084
Comment 7 Fedora Update System 2009-12-27 15:26:35 EST
metacity-2.28.0-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.